#include <m8c.h>
#include <limits.h>

#define CHECKBIT(ADDRESS, BIT)      ( (ADDRESS) &   ( 1 << (BIT) ) )
#define SETBIT(ADDRESS, BIT)        ( (ADDRESS) |=  ( 1 << (BIT) ) )
#define CLEARBIT(ADDRESS, BIT)      ( (ADDRESS) &= ~( 1 << (BIT) ) )
#define BIT(bitNumber)              ( 1 << (bitNumber) )

void delayl(unsigned long cycles);
void delayi(unsigned int cycles);
void delayc(unsigned char cycles);
unsigned char find_max(unsigned char * data, unsigned char count);
BYTE ReadButtons(void);

#define MAX(a,b) ((a) > (b))(a)?(b)
#define MIN(a, b) ((a) < (b))?(a):(b)
